EduHelp/urls.py
from django.contrib import admin, auth
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/', include('django.contrib.auth.urls')),
    path('', include('register.urls'))
]

register/urls.py
from django.urls import path
from rest_framework.urlpatterns import format_suffix_patterns
from .views import IndexView, MessageSentView, MessageView, SentMessageDetail, SentMessageList, StudentClassListView, StudentCourseListView, StudentHomeworkListView, StudentLessonListView, StudentSiteView, StudentTeacherListView, StudentTestsListView, StudentRemarkListView, TeacherCourseList, TeacherCoursePresenceView, TeacherGradeList, TeacherLessonPresenceFormView, TeacherNewLessonView, TeacherSiteView, CaretakerSiteView, \
CaretakerList, CaretakerDetail, TeacherList, TeacherDetail, ClassList, ClassDetail, StudentList, StudentDetail, SubjectTypeList, SubjectTypeDetail, SubjectList, SubjectDetail, CourseList, CourseDetail, GradeValueList, GradeValueDetail, GradeTypeList, GradeTypeDetail, GradeList, GradeDetail, PlannedHomeworkList, PlannedHomeworkDetail, PlannedTestList, PlannedTestDetail, StudentRemarkList, StudentRemarkDetail, \
    CaretakerCreate, TeacherCreate, ClassCreate, StudentCreate, SubjectTypeCreate, SubjectCreate, CourseCreate, CoursePresenceCreate, GradeValueCreate, GradeTypeCreate, GradeCreate, PlannedHomeworkCreate, PlannedTestCreate, StudentRemarkCreate, \
        CaretakerUpdate, TeacherStudentLessonListView, TeacherStudentRemarkListView, TeacherUpdate, ClassUpdate, StudentUpdate, SubjectTypeUpdate, SubjectUpdate, CourseUpdate, CoursePresenceUpdate, GradeValueUpdate, GradeTypeUpdate, GradeUpdate, PlannedHomeworkUpdate, PlannedTestUpdate, StudentRemarkUpdate, \
            CaretakerDelete, TeacherDelete, ClassDelete, get_remarks_for_student, courses_for_student, all_years_for_student, own_id, students_for_caretaker, tests_for_course, homework_for_course, teacher_new_test, teacher_new_homework, get_remarks, add_grade, all_caretakers_for_class, all_grades, StudentDelete, SubjectTypeDelete, SubjectDelete, CourseDelete, CoursePresenceDelete, GradeValueDelete, GradeTypeDelete, GradeDelete, PlannedHomeworkDelete, PlannedTestDelete, StudentRemarkDelete, all_grades_course, all_semesters, all_teachers_for_student, all_teachers, all_years, create_remark, current_semester, current_user, current_year, delete_grade, delete_lesson, edit_lesson, generate_grades_csv, generate_grades_json, generate_grades_xlsx, generate_grades_xml, generate_statistics_csv, generate_statistics_json, generate_statistics_pdf, generate_statistics_xml, generate_statistics_xlsx, get_received_messages, get_remarks_for_class, get_sent_messages, grade_values_types, grades, generate_grades_pdf, TeacherClassList, TeacherLessonList, TeacherCreateLesson, TeacherCourseGradesView, homework, lessons_for_course, semesters_for_year, send_message, teacher_all_classes, teacher_classes, teacher_courses, teacher_new_lesson, teacher_students, teacher_subjects, tests, update_received_message, courses_for_semester  

app_name='register'

urlpatterns = [
    # regular views for application
    path('', IndexView.as_view(), name='index'),
    path('student_site/', StudentSiteView.as_view(), name='student_site'),
    path('student_site/class/', StudentClassListView.as_view(), name='student_class_list'),
    
    path('send_message/<int:receiver_id>/', MessageView.as_view(), name='send_message'),
    path('message_sent/', MessageSentView.as_view(), name='message_sent'),

    path('student_site/teachers/', StudentTeacherListView.as_view(), name='student_teacher_list'),
    path('student_site/courses/', StudentCourseListView.as_view(), name='student_course_list'),
    
    path('gen_grades_pdf/<int:semester_id>/', generate_grades_pdf, name='generate_grades_pdf'),
    path('gen_grades_xml/<int:semester_id>/', generate_grades_xml, name='generate_grades_xml'),
    path('gen_grades_json/<int:semester_id>/', generate_grades_json, name='generate_grades_json'),
    path('gen_grades_csv/<int:semester_id>/', generate_grades_csv, name='generate_grades_csv'),
    path('gen_grades_xlsx/<int:semester_id>/', generate_grades_xlsx, name='generate_grades_xlsx'),
    
    path('gen_stats_pdf/<int:semester_id>/', generate_statistics_pdf, name='generate_statistics_pdf'),
    path('gen_stats_xml/<int:semester_id>/', generate_statistics_xml, name='generate_statistics_xml'),
    path('gen_stats_json/<int:semester_id>/', generate_statistics_json, name='generate_statistics_json'),
    path('gen_stats_csv/<int:semester_id>/', generate_statistics_csv, name='generate_statistics_csv'),
    path('gen_stats_xlsx/<int:semester_id>/', generate_statistics_xlsx, name='generate_statistics_xlsx'),

    path('gen_grades_pdf/<int:user>/', generate_grades_pdf, name='generate_grades_pdf'),
    path('gen_grades_xml/<int:user>/', generate_grades_xml, name='generate_grades_xml'),
    path('gen_grades_json/<int:user>/', generate_grades_json, name='generate_grades_json'),
    path('gen_grades_csv/<int:user>/', generate_grades_csv, name='generate_grades_csv'),
    path('gen_grades_xlsx/<int:user>/', generate_grades_xlsx, name='generate_grades_xlsx'),
    
    path('gen_stats_pdf/<int:user>/', generate_statistics_pdf, name='generate_statistics_pdf'),
    path('gen_stats_xml/<int:user>/', generate_statistics_xml, name='generate_statistics_xml'),
    path('gen_stats_json/<int:user>/', generate_statistics_json, name='generate_statistics_json'),
    path('gen_stats_csv/<int:user>/', generate_statistics_csv, name='generate_statistics_csv'),
    path('gen_stats_xlsx/<int:user>/', generate_statistics_xlsx, name='generate_statistics_xlsx'),

    path('student_site/homework/', StudentHomeworkListView.as_view(), name='student_homework_list'),
    path('student_site/tests/', StudentTestsListView.as_view(), name='student_test_list'),
    path('student_site/remarks/', StudentRemarkListView.as_view(), name='student_remark_list'),
    path('student_site/lessons/<int:course_id>/', StudentLessonListView.as_view(), name='student_lesson_list'),

    path('teacher_site/', TeacherSiteView.as_view(), name='teacher_site'),
    path('teacher_site/classes/', TeacherClassList.as_view(), name='teacher_class_list'),
    path('teacher_site/courses/', TeacherCourseList.as_view(), name='teacher_course_list'),
    path('teacher_site/lessons/<int:course_id>/', TeacherLessonList.as_view(), name='teacher_lesson_list'),
    path('teacher_site/lessons/<int:course_id>/create/', TeacherCreateLesson.as_view(), name='teacher_lesson_create'),
    path('teacher_site/grades/<int:student_id>/', TeacherGradeList.as_view(), name="teacher_student_grade_list"),
    path('teacher_site/lessons_and_presence/<int:course_id>/<int:student_id>/', TeacherStudentLessonListView.as_view(), name='teacher_student_lesson_list'),
    path('teacher_site/remarks/<int:student_id>/', TeacherStudentRemarkListView.as_view(), name='teacher_student_remark_list'),
    path('teacher_site/presence/<int:lesson_id>/', TeacherCoursePresenceView.as_view(), name='teacher_course_presence'),
    path('teacher_site/course/grades/<int:course_id>/', TeacherCourseGradesView.as_view(), name='teacher_course_grades_list'),
    path('teacher_site/lesson/presence/<int:lesson_id>/', TeacherLessonPresenceFormView.as_view(), name='teacher_lesson_presence_set'),
    path('teacher_site/new_lesson/', TeacherNewLessonView.as_view(), name='teacher_new_lesson'),

    path('caretaker_site/', CaretakerSiteView.as_view(), name='caretaker_site'),

    # create db urls
    path('register/create/caretaker/', CaretakerCreate.as_view(), name='create_caretaker'),
    path('register/create/teacher/', TeacherCreate.as_view(), name='create_teacher'),
    path('register/create/class/', ClassCreate.as_view(), name='create_class'),
    path('register/create/student/', StudentCreate.as_view(), name='create_student'),
    path('register/create/subject_type/', SubjectTypeCreate.as_view(), name='create_subject_type'),
    path('register/create/subject/', SubjectCreate.as_view(), name='create_subject'),
    path('register/create/course/', CourseCreate.as_view(), name='create_course'),
    path('register/create/course_presence/', CoursePresenceCreate.as_view(), name='create_course_presence'),
    path('register/create/grade_value/', GradeValueCreate.as_view(), name='create_grade_value'),
    path('register/create/grade_type/', GradeTypeCreate.as_view(), name='create_grade_type'),
    path('register/create/grade/', GradeCreate.as_view(), name='create_grade'),
    path('register/create/planned_homework/', PlannedHomeworkCreate.as_view(), name='create_planned_homework'),
    path('register/create/planned_test/', PlannedTestCreate.as_view(), name='create_planned_test'),
    path('register/create/student_remark/', StudentRemarkCreate.as_view(), name='create_student_remark'),


    # update db urls
    path('register/update/caretaker/<int:pk>', CaretakerUpdate.as_view()),
    path('register/update/teacher/<int:pk>', TeacherUpdate.as_view()),
    path('register/update/class/<int:pk>', ClassUpdate.as_view()),
    path('register/update/student/<int:pk>', StudentUpdate.as_view()),
    path('register/update/subject_type/<int:pk>', SubjectTypeUpdate.as_view()),
    path('register/update/subject/<int:pk>', SubjectUpdate.as_view()),
    path('register/update/course/<int:pk>', CourseUpdate.as_view()),
    path('register/update/course_presence/<int:pk>', CoursePresenceUpdate.as_view()),
    path('register/update/grade_value/<int:pk>', GradeValueUpdate.as_view()),
    path('register/update/grade_type/<int:pk>', GradeTypeUpdate.as_view()),
    path('register/update/grade/<int:pk>', GradeUpdate.as_view()),
    path('register/update/planned_homework/<int:pk>', PlannedHomeworkUpdate.as_view()),
    path('register/update/planned_test/<int:pk>', PlannedTestUpdate.as_view()),
    path('register/update/student_remark/<int:pk>', StudentRemarkUpdate.as_view()),

    # delete db urls
    path('register/delete/caretaker/<int:pk>', CaretakerDelete.as_view()),
    path('register/delete/teacher/<int:pk>', TeacherDelete.as_view()),
    path('register/delete/class/<int:pk>', ClassDelete.as_view()),

register/forms.py
from django.forms import ModelForm, Form, BooleanField
from django.forms.widgets import HiddenInput
from django.shortcuts import get_list_or_404, get_object_or_404
from . import models

class MessageFromToForm(ModelForm):
    class Meta:
        model = models.SentMessage
        fields = ['title', 'message']

class LessonCreateForm(ModelForm):
    class Meta:
        model = models.Lesson
        fields = ['topic']

class LessonPresenceForm(Form):
    def __init__(self, class_id, *args, **kwargs):
        super(LessonPresenceForm, self).__init__(*args, **kwargs)
        students = get_list_or_404(models.Student, classId__pk=class_id)
        self.label_dict = {}
        for student in students:
            self.fields[f'{student.user.first_name} {student.user.last_name}'] = BooleanField()

register/templates/index.html
{% extends 'base.html' %}
{% load auth_tags %}


{% block content %}
<section class="main_section">
    <section class="heading-section">
        {% if request.user|has_group:"Students" %}
            <h1 class="heading-1">Panel ucznia</h1>
        {% elif request.user|has_group:"Teachers" %}
            <h1 class="heading-1">Panel nauczyciela</h1>
        {% elif request.user|has_group:"Caretakers" %}
            <h1 class="heading-1">Panel rodzica</h1>
        {% endif %}
    </section>
        {% if request.user|has_group:"Students" %}
            {% include 'student_site.html' %}
        {% elif request.user|has_group:"Teachers" %}
            {% include 'teacher_site.html' %}
        {% elif request.user|has_group:"Caretakers" %}
            {% include 'caretaker_site.html' %}
        {% endif %}
</section>
{% endblock content %}

register/templates/send_message.html
{% extends 'base.html' %}
{% load static %}
{% load util_tags %}

{% block content %}
<h1 class="heading-1 marg">Wiadomość do {{receiver.first_name}} {{receiver.last_name}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
    <div>
        <form method="post">
            {% csrf_token %}
            {% for field in form %}
                {% if field|is_not_hidden_widget %}
                    <div class="send-msg-wrapper">
                        {{ field.errors }}
                        <div class="send-msg-field-div">
                            {{ field.label_tag }} {{ field }}
                        </div>
                        {% if field.help_text %}
                            <p class="help">{{ field.help_text|safe }}</p>
                        {% endif %}
                    </div>
                {% endif %}
            {% endfor %}
            <input type="submit" class="btn btn-primary" value="Wyślij">
        </form>
    </div>
</div>
{% endblock content %}

register/templates/sent_message.html
{% extends 'base.html' %}

{% block content %}
<div class="container p-3 bg-grey bor-rad marg">
    <div class="alert alert-success" role="alert">
        Wiadomość wysłana!
    </div>
</div>
{% endblock content %}

register/templates/student_course_list.html
{% extends 'base.html' %}
{% load static %}
{% load student_tags %}
{% load util_tags %}

{% block content %}
<h1 class="heading-1 marg">Twoje przedmioty</h1>
{% if course_list %}
<div class="container p-3 bg-grey bor-rad marg">
    {% with 0 as dummy_number %}
        <div id="react_compo" data-lesson_url="{% url 'register:student_lesson_list' dummy_number %}"
                              data-gen_pdf_grades_url="{% url 'register:generate_grades_pdf' dummy_number %}"
                              data-gen_csv_grades_url="{% url 'register:generate_grades_csv' dummy_number %}"
                              data-gen_json_grades_url="{% url 'register:generate_grades_json' dummy_number %}"
                              data-gen_xlsx_grades_url="{% url 'register:generate_grades_xlsx' dummy_number %}"
                              data-gen_xml_grades_url="{% url 'register:generate_grades_xml' dummy_number %}"
                              data-gen_pdf_stats_url="{% url 'register:generate_statistics_pdf' dummy_number %}"
                              data-gen_csv_stats_url="{% url 'register:generate_statistics_csv' dummy_number %}"
                              data-gen_json_stats_url="{% url 'register:generate_statistics_json' dummy_number %}"
                              data-gen_xlsx_stats_url="{% url 'register:generate_statistics_xlsx' dummy_number %}"
                              data-gen_xml_stats_url="{% url 'register:generate_statistics_xml' dummy_number %}"></div>
    {% endwith %}
</div>
<script type="text/babel" src="{% static "js/StudentCoursesComponent.js" %}"></script>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych przedmiotów podpiętych do Twojej klasy.</p>
    </div>
{% endif %}
{% endblock content %}

register/templates/student_homework_list.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<h1 class="heading-1 marg">Twoje prace domowe</h1>
<div class="container p-3 bg-grey bor-rad marg">

<div id="react_compo"></div>
<script type="text/babel" src="{% static "js/StudentHomeworkComponent.js" %}"></script>
</div>
{% endblock content %}

register/templates/student_remark_list.html
{% extends 'base.html' %}

{% block content %}
<h1 class="heading-1 marg">Twoje uwagi</h1>
<div class="container p-3 bg-grey bor-rad marg">
{% if remark_list %}
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Tytuł</th>
                <th scope="col">Opis</th>
                <th scope="col">Nauczyciel wystawiający</th>
                <th scope="col">Data</th>
            </tr>
        </thead>
        <tbody>
            {% for remark in remark_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{remark.title}}</td>
                <td>{{remark.description}}</td>
                <td>{{remark.teacher}}</td>
                <td>{{remark.date}}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% else %}
    <p>Nie masz żadnych uwag.</p>
{% endif %}
</div>
{% endblock content %}

register/templates/student_teacher_list.html
{% extends 'base.html' %}
{% load teacher_tags %}
{% load util_tags %}
{% load static %}

{% block content %}
<h1 class="heading-1 marg">Twoi nauczyciele</h1>
<div class="container p-3 bg-grey bor-rad marg">
    {% with 0 as dummy_number %}
        <div id="react_compo" data-message_url="{% url 'register:send_message' dummy_number %}" data-form_teacher_img="{% static 'form_teacher.png' %}" data-message_img="{% static 'msg.png' %}"></div>
    {% endwith %}
</div>
<script type="text/babel" src="{% static "js/StudentTeachersComponent.js" %}"></script>
{% endblock content %}

register/templates/teacher_class_list.html
{% extends 'base.html' %}
{% load teacher_tags %}
{% load util_tags %}
{% load static %}

{% block content %}
<h1 class="heading-1 marg">Prowadzone klasy</h1>
{% with request.user.teacher|get_formed_classes as formed_classes %}
    <div class="container p-3 bg-grey bor-rad marg">
    {% if formed_classes|size > 1 %}
    <p>Wybrana klasa</p>
    <form method="post">
        {% csrf_token %}
        <select name="class_select" onchange="this.form.submit()">
        {% for class in formed_classes %}
            {% if chosen %}
                {% ifequal forloop.counter chosen|add:1 %}
                    <option selected value="{{ forloop.counter }}">{{ class.level }}{{ class.name }}</option>
                {% else %}
                    <option value="{{ forloop.counter }}">{{ class.level }}{{ class.name }}</option>
                {% endifequal %}
            {% else %}
                <option value="{{ forloop.counter }}">{{ class.level }}{{ class.name }}</option>
            {% endif %}
        {% endfor %}
        </select>
    </form>
    {% endif %}
    {% if formed_classes %}
        {% with formed_classes|get_from_index:chosen as class %}
            {% with class.get_students as students %}
                {% if students %}
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th scope="col">L.p.</th>
                                <th scope="col">Imię</th>
                                <th scope="col">Nazwisko</th>
                                <th scope="col"></th>
                                <th scope="col"></th>
                                <th scope="col">Wiadomość</th>
                                <th scope="col">Wiadomość do rodzica</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for member in students %}
                            <tr>
                                <td>{{forloop.counter}}</td>
                                <td>{{member.name}}</td>
                                <td>{{member.surname}}</td>
                                <td><a href="{% url 'register:teacher_student_grade_list' member.id %}" class="btn btn-primary">Oceny</a></td>
                                <td><a href="{% url 'register:teacher_student_remark_list' member.id %}" class="btn btn-primary">Uwagi</a></td>
                                <td><a href="{% url 'register:send_message' member.user.id %}"><img src="{% static 'msg.png' %}"></a></td>
                                <td><a href="{% url 'register:send_message' member.caretaker.user.id %}"><img src="{% static 'msg.png' %}"></a></td>
                            </tr>
                            {% endfor %}                        
                        </tbody>
                    </table>
                {% endif %}
            {% endwith %}
        {% endwith %}
    {% else %}
        <p>Brak uczniów.</p>
    {% endif %}
{% endwith %}
</div>
{% endblock content %}

register/templates/teacher_course_list.html
{% extends 'base.html' %}

{% block content %}
<h1 class="heading-1 marg">Prowadzone przedmioty</h1>
{% if course_list %}
<div class="container p-3 bg-grey bor-rad marg">
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Przedmiot</th>
                <th scope="col">Klasa</th>
                <th scope="col">Lekcje</th>
                <th scope="col">Oceny</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% for course in course_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{course.subject}}</td>
                <td>{{course.classId}}</td>
                <td><a href="{% url 'register:teacher_lesson_list' course.id %}" class="btn btn-primary">Lekcje</a></td>
                <td><a href="{% url 'register:teacher_course_grades_list' course.id %}" class="btn btn-primary">Oceny</a></td>
                <td><a href="{% url 'register:teacher_lesson_create' course.id %}" class="btn btn-primary">Nowa Lekcja</a></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych przedmiotów, które prowadzisz.</p>
    </div>
{% endif %}

{% endblock content %}

register/templates/teacher_course_presence.html
{% extends 'base.html' %}
{% load static %}
{% load student_tags %}

{% block content %}
<h1 class="heading-1 marg">Obecności na lekcji {{lesson}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
{% if students %}
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Imię</th>
                <th scope="col">Nazwisko</th>
                <th scope="col">Obecność</th>
            </tr>
        </thead>
        <tbody>
            {% for student in students %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{student.user.first_name}}</td>
                <td>{{student.user.last_name}}</td>
                <td>                
                {% if student.user|was_present:lesson %}
                    <img src="{% static 'positive.png' %}">
                {% else %}
                    <img src="{% static 'negative.png' %}">
                {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% else %}
    <p>Ta lekcja nie posiada obecności.</p>
{% endif %}
</div>
{% endblock content %}

register/templates/teacher_create_lesson.html
{% extends 'base.html' %}

{% block content %}
<h1 class="heading-1 marg">Nowa lekcja {{course}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
    <form method='post'>
        {% csrf_token %}
        {{ form.as_p }}
        <input type="submit" class="btn btn-primary" value="Zapisz">
    </form>
</div>
{% endblock content %}

register/templates/teacher_site.html
{% load teacher_tags %}
{% load static %}

<div class="container p-3 bg-grey bor-rad marg">
    <div id="teacher_component"></div>
</div>

register/templates/teacher_student_lesson_list.html
{% extends 'base.html' %}
{% load student_tags %}
{% load util_tags %}
{% load static %}

{% block content %}
<h1 class="heading-1 marg">Lekcje z kursu {{course.subject.name}} i obecności ucznia {{student}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
{% if lesson_list %}
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Temat</th>
                <th scope="col">Data</th>
                <th scope="col">Obecność</th>
            </tr>
        </thead>
        <tbody>
            {% for lesson in lesson_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{lesson.topic}}</td>
                <td>{{lesson.date}}</td>
                <td>
                {% if student.user|was_present:lesson %}
                    <img src="{% static 'positive.png' %}">
                {% else %}
                    <img src="{% static 'negative.png' %}">
                {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="edu-tooltip">
        <a href="#" class="btn btn-secondary">Pokaż statystyki dla kursu {{course.subject.name}} i ucznia {{student}}</a>
        <span class="edu-tooltiptext" top="far">
            <span style="font-weight:bold">Obecność:</span> {{statistics|get_value:'presence'}}%</br>
            <span style="font-weight:bold">Średnia:</span> {{statistics|get_value:'average'}}</br>
            <span style="font-weight:bold">Ocena oczekiwana:</span> {{statistics|get_value:'expected_grade'}}</br>
            <span style="font-weight:bold">Średnia klasy:</span> {{statistics|get_value:'class_average'}}</br>
        </span>
    </div>
{% else %}
    <p>{{course}} nie ma żadnych lekcji.</p>
{% endif %}
</div>
{% endblock content %}

register/templates/teacher_student_remark_list.html
{% extends 'base.html' %}

{% block content %}
<h1 class="heading-1 marg">Uwagi ucznia {{student}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
{% if remark_list %}
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Tytuł</th>
                <th scope="col">Opis</th>
                <th scope="col">Nauczyciel wystawiający</th>
                <th scope="col">Data</th>
            </tr>
        </thead>
        <tbody>
            {% for remark in remark_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{remark.title}}</td>
                <td>{{remark.description}}</td>
                <td>{{remark.teacher}}</td>
                <td>{{remark.date}}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% else %}
    <p>{{student}} nie ma żadnych uwag.</p>
{% endif %}
</div>
{% endblock content %}